import { BrowserModule } from '@angular/platform-browser';
import { NgModule } from '@angular/core';
import { FormsModule } from '@angular/forms';
import { HttpClientModule }    from '@angular/common/http';
import { AppComponent } from './app.component';
import { BookComponent } from './book/book.component';
import { BookeditComponent } from './book/bookedit.component';

@NgModule({
  declarations: [
    AppComponent,
    BookComponent,
    BookeditComponent,
  ],
  imports: [
    BrowserModule,
    FormsModule,    
    HttpClientModule,
  ],
  providers: [],
  bootstrap: [BookComponent]
})
export class AppModule { }
